使用ubuntuzilla在ubuntu中升级firefox

当前的ubuntu9.04中装的是firefox 3,据说要等到9.10才会默认安装3.5。没办法,谁让firefox 3.5更好用呢,升级一下。 ubuntu中的firefox没带自动升级功能,软件库中也没有最新的版本。我到网上搜了一些方法,除了源码安装外,基本都无效。最后看到了Tombun中一篇文章,它介绍的是用ubuntuzilla来升级firefox。我试了一下,不错!分享给大家。

Ubuntuzilla是一个用python写的脚本,它可以将ubuntu中的 Mozilla Firefox, Mozilla SeaMonkey, 以及 Mozilla Thunderbird升级到最新的版本。

下面开始使用来升级firefox:

  1. 访问 Ubuntuzilla下载页 下载适合你用的32或64位的deb安装文件,然后将ubuntuzilla安装好。
  2. 关闭Firefox.
  3. 在终端中输入下面的命令:
    ubuntuzilla.py -a install -p firefox

    然后会问你几个问题:检查出版本号,问你确定是不是要升级(y)..........(只记住这一个问题了,哎,老了..呵呵,总之按提示回答完问题就开始安装了)
  4. 安装完就OK了,再打开firefox就是最新的版本了,比如现在是3.5.3。

( ! ) Warning: Missing argument 1 for cwppos_show_review(), called in /data/www/enjoyphp/wp-content/themes/flat/content-single.php on line 29 and defined in /data/www/enjoyphp/wp-content/plugins/wp-product-review/includes/legacy.php on line 18
Call Stack
#TimeMemoryFunctionLocation
10.0000355256{main}( ).../index.php:0
20.0001355544require( '/data/www/enjoyphp/wp-blog-header.php' ).../index.php:17
31.191110176552require_once( '/data/www/enjoyphp/wp-includes/template-loader.php' ).../wp-blog-header.php:19
41.193210247696include( '/data/www/enjoyphp/wp-content/themes/flat/single.php' ).../template-loader.php:74
51.295910802960get_template_part( ).../single.php:5
61.296010803480locate_template( ).../general-template.php:167
71.296010803576load_template( ).../template.php:643
81.296010803960require( '/data/www/enjoyphp/wp-content/themes/flat/content-single.php' ).../template.php:686
91.302210788728cwppos_show_review( ).../content-single.php:29

发表评论

电子邮件地址不会被公开。 必填项已用*标注